Package net.shibboleth.idp.admin.impl

# Class ReportUpdateStatus

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.admin.impl.ReportUpdateStatus

All Implemented Interfaces:
  `Runnable`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ReportUpdateStatus extends AbstractIdentifiableInitializableComponent implements Runnable
A class to reach out and find out whether we are up to date.

## Field Summary

Fields
Modifier and Type
Field
Description
`private InstallableComponentPropertyCache`
`cache`
The cache (to stop us going offsite if someone already has).
`private boolean`
`enabled`
Are we to run?
`private org.apache.hc.client5.http.classic.HttpClient`
`httpClient`
How to reach out.
`private final org.slf4j.Logger`
`log`
Logger.
`private HttpClientSecurityParameters`
`securityParams`
any security parameters needed.
`private List<URL>`
`updateUrls`
Where to look for update information.

## Constructor Summary

Constructors
Constructor
Description
`ReportUpdateStatus()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`void`
`run()`
Do the lookup, but in a different thread so as to not slow down startup.
`void`
`setCache(InstallableComponentPropertyCache what)`
Set the cache of information we have phoned home about;
`void`
`setEnabled(boolean on)`
Are we going to do anything?
`void`
`setHttpClient(org.apache.hc.client5.http.classic.HttpClient client)`
Set the `HttpClient` to use.
`void`
`setSecurityParams(HttpClientSecurityParameters params)`
Set any `HttpClientSecurityParameters`.
`void`
`setUpdateUrls(List<URL> urls)`
Set where to look.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

### updateUrls

@Nonnull private List<URL> updateUrls
Where to look for update information.

### enabled

private boolean enabled
Are we to run?

### httpClient

@NonnullAfterInit private org.apache.hc.client5.http.classic.HttpClient httpClient
How to reach out.

### securityParams

@Nullable private HttpClientSecurityParameters securityParams
any security parameters needed.

### cache

@NonnullAfterInit private InstallableComponentPropertyCache cache
The cache (to stop us going offsite if someone already has).

## Constructor Details

### ReportUpdateStatus

public ReportUpdateStatus()

## Method Details

### setUpdateUrls

public void setUpdateUrls(@Nullable List<URL> urls)
Set where to look.

Parameters:
  `urls` - what to set.

### setSecurityParams

public void setSecurityParams(@Nullable HttpClientSecurityParameters params)
Set any `HttpClientSecurityParameters`.

Parameters:
  `params` - what to set.

### setHttpClient

public void setHttpClient(@Nonnull org.apache.hc.client5.http.classic.HttpClient client)
Set the `HttpClient` to use.

Parameters:
  `client` - what to set.

### setEnabled

public void setEnabled(boolean on)
Are we going to do anything?

Parameters:
  `on` - are we enabled

### setCache

public void setCache(InstallableComponentPropertyCache what)
Set the cache of information we have phoned home about;

Parameters:
  `what` - what to set

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractIdentifiedInitializableComponent`
Throws:
  `ComponentInitializationException`

### run

public void run()
Do the lookup, but in a different thread so as to not slow down startup.

Specified by:
  `run` in interface `Runnable`